5.6. Linux-2.6.30.2 API Headers

Suraj Linux suraj.embedded.linux at gmail.com
Fri Feb 26 23:57:13 PST 2010


Hi,

I have got a bit confused at this step. 5.6. Linux-2.6.30.2 API Headers . I
am not sure in which I must run the following commands

      make mrproper

      make headers_check
      make INSTALL_HDR_PATH=dest headers_install
      cp -rv dest/include/* /tools/include

I down any file named as Linux-2.6.30.2 API.


I have installed the tar file linux-2.6.30 and when I run the above command
in the folder extracted folder of linux-2.6.30 I get the following errors.

HOSTCC  scripts/basic/fixdep
scripts/basic/fixdep.c: In function 'traps':
scripts/basic/fixdep.c:377: warning: dereferencing type-punned pointer will
break strict-aliasing rules
scripts/basic/fixdep.c:379: warning: dereferencing type-punned pointer will
break strict-aliasing rules
scripts/basic/fixdep.c: At top level:
scripts/basic/fixdep.c:399: fatal error: opening dependency file
scripts/basic/.fixdep.d: Permission denied
compilation terminated.
make[2]: *** [scripts/basic/fixdep] Error 1
make[1]: *** [scripts_basic] Error 2
make: *** No rule to make target `header_check'.  Stop.


I am using the book LFS_6.5.

Thank you.


-Suraj Swami.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/lfs-support/attachments/20100227/b96d66bc/attachment.html>


More information about the lfs-support mailing list